Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Class ScriptingSupport.SoapUIGroovyShell

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.GroovyShell
              com.eviware.soapui.support.ScriptingSupport.SoapUIGroovyShell

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  ScriptingSupport

    public static class ScriptingSupport.SoapUIGroovyShell

extends groovy.lang.GroovyShell

Field Summary

Fields inherited from class groovy.lang.GroovyShell
`EMPTY_ARGS`

Constructor Summary
`protected` | `ScriptingSupport.SoapUIGroovyShell(groovy.lang.GroovyClassLoader classLoader)`
`protected` | `ScriptingSupport.SoapUIGroovyShell(groovy.lang.GroovyClassLoader classLoader, groovy.lang.Binding binding)`

Method Summary
`void` | `reloadExternalClasses()`

Methods inherited from class groovy.lang.GroovyShell
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, generateScriptName, getContext, getProperty, getVariable, initializeBinding, main, parse, parse, parse, parse, parse, parse, resetLoadedClasses, run, run, run, run, run, setProperty, setVariable`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptingSupport.SoapUIGroovyShell

    protected ScriptingSupport.SoapUIGroovyShell(groovy.lang.GroovyClassLoader classLoader,
                                                 groovy.lang.Binding binding)

### ScriptingSupport.SoapUIGroovyShell

    protected ScriptingSupport.SoapUIGroovyShell(groovy.lang.GroovyClassLoader classLoader)

Method Detail

### reloadExternalClasses

    public void reloadExternalClasses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.